package mi.hdm.recipes;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class NutritionCalculatorTest {
    List<RecipeComponent> ingredients = ValidObjectsPool.getValidIngredientList();
    Map<RecipeComponent, Integer> recipeMap;

    @BeforeEach
    public void setUp() {
        recipeMap = new HashMap<>();
        ingredients.forEach(ingredient -> recipeMap.put(ingredient, 100));
    }

    @Test
    public void testCalculateNutritionTableFromIngredients() {
        //given
        NutritionTable expected = new NutritionTable(363.1, 42.4, 9.6, 4.3, 2.4, 1.2);

        //when
        NutritionTable actual = NutritionCalculator.calculateNutritionTable(recipeMap);

        //expect
        Assertions.assertEquals(expected, actual);
    }

    @Test
    public void testCalculateNutritionTableFromRecipes() {
        //TODO
        Assertions.assertTrue(true);
    }
}
